### Function

# GLib strnfill

since: 2.0

#### Declaration

    gchar*
    g_strnfill (
      gsize length,
      gchar fill_char
    )

#### Description

Creates a new string `length` bytes long filled with `fill_char`.

Available since: 2.0

#### Parameters

`length`

  Type: `gsize`

  The length of the new string.

`fill_char`

  Type: `gchar`

  The byte to fill the string with.

#### Return value

Type: `gchar*`

A newly-allocated string filled with `fill_char`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.